Skip to main content
`Ctrl`+`K`

# TaoGetOptionsPrefix

Gets the prefix used for searching for all Tao options in the database

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetOptionsPrefix(Tao tao, const char *p[])

Not Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameter

- p - pointer to the prefix string used is returned

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetFromOptions()`, `TaoSetOptionsPrefix()`, `TaoAppendOptionsPrefix()`

## Level

advanced

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages